Subject: Re: [PATCH 3/3] bisect: fix misuse of `refs_for_each_ref_in()`

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 30 Jan 2026 13:58:11 +0100

On Thu, Jan 29, 2026 at 09:28:58AM -0800, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > On Wed, Jan 28, 2026 at 09:49:22AM +0100, Patrick Steinhardt wrote:
> >
> >> Furthermore, taking a closer look, we strip the prefix only to re-add it
> >> in `mark_for_removal()`. This is somewhat roundabout, as we can instead
> >> call `refs_for_each_fullref_in()` to not do any stripping at all. Do so
> >> to simplify the code a bit.
> >
> > Yeah, I think the result is much better.
> >
> > We might also want this simplification on top:
> 
> Very good.  Thanks, both, for improvements.

Indeed, I'll apply your patch on top of what I have. Thanks!

Patrick